function _cuz_params(k,v)
    if (v ~= nil) then cuz_params_set(k,v) end
    return cuz_params_get(k)
end

cuz = {
    params = _cuz_params, -- key,[value] -> value
    file_load = cuz_file_load, -- fname -> data
    file_save = cuz_file_save, -- fname,data
    view_set = cuz_view_set, -- x,y,width,height
    rect_draw = cuz_rect_draw, -- color,x,y,width,height
    image_draw = cuz_image_draw, -- name,x,y,width,height,[tx],[ty],[tw],[th]
    sample_play = cuz_sample_play, -- name,[vol],[pan]
    stream_play = cuz_stream_play, -- name,[vol]
    stream_stop = cuz_stream_stop, -- name
    font_draw = cuz_font_draw, -- name,points,text,x,y
    font_size = cuz_font_size, -- name,points,text -> width,height
    ext_call = cuz_ext_call, -- action,[data] -> result

    -- blend_mode (blend, color, alpha)
    -- tri_draw (src, x1,y1,x2,y2,x3,y3, x1,y1,x2,y2,x3,y3),
    -- tilemap_draw (texture,cols,rows, data, dx,dy, tw,th)

}

function _init() init() end
function _loop(t) loop(t) end
function _event(e) event(e) end
function _paint() paint() end

function _strict_init()
    local G = _ENV or _G
    local globals = {}
    local setmetatable = setmetatable
    local rawset = rawset
    local error = error
    local mt = getmetatable(G)
    function strict(enable)
        setmetatable(G,mt)
        if enable ~= true then return end
        setmetatable(G,{
            __newindex = function(self,k,v)
                if type(v) == "function" or globals[k] ~= nil then
                    rawset(self,k,v)
                else
                    error("undeclared global '"..k.."'")
                end
            end,
        })
    end
    function global(k)
        globals[k] = true
    end
    G["_strict_init"] = nil
end
_strict_init()